Helper class that implements the nested <reference> element of <phing> and <phingcall>.

package | phing.tasks.system

### Methods

## __construct()

    __construct($id)

Inherited

inherited_from | \Reference::__construct()

### Parameters

#### $id

## getRefId()

    getRefId()

Inherited

inherited_from | \Reference::getRefId()

## returns reference to object in references container of project

    getReferencedObject($project)

Inherited

inherited_from | \Reference::getReferencedObject()

### Parameters

#### $project

## Get the id under which this reference will be stored in the new project

    getToRefid() : \the

### Returns

`\the`id of the reference in the new project.

## setRefId()

    setRefId($id)

Inherited

inherited_from | \Reference::setRefId()

### Parameters

#### $id

## Set the id that this reference to be stored under in the new project.

    setToRefid(\targetid $targetid)

### Parameters

#### $targetid

`\targetid`

the id under which this reference will be passed to the new project

### Properties

##

    $refid

Inherited

inherited_from | \Reference::$$refid

##

    $targetid